Bug 104000 - [IGT] kms_ccs subtest failed with assertion CRC mismatch
Summary: [IGT] kms_ccs subtest failed with assertion CRC mismatch
Status: RESOLVED DUPLICATE of bug 107725
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium critical
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-30 20:33 UTC by Armando Antonio
Modified: 2019-08-19 22:32 UTC (History)
2 users (show)

See Also:
i915 platform: CNL
i915 features: display/Other


Attachments
kernel log (684.96 KB, text/plain)
2017-11-30 20:33 UTC, Armando Antonio
no flags Details
dmesg log (252.61 KB, text/plain)
2017-11-30 20:35 UTC, Armando Antonio
no flags Details
test output (290.34 KB, text/plain)
2017-11-30 20:36 UTC, Armando Antonio
no flags Details
CFL-dmesg-kernel-logs (106.96 KB, application/gzip)
2018-01-31 08:10 UTC, Ricardo Perez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Armando Antonio 2017-11-30 20:33:40 UTC
Created attachment 135836 [details]
kernel log

The following test cases are falling on CNL with latest configuration.


Test Cases:
igt@kms_ccs@pipe-A-crc-primary-basic
igt@kms_ccs@pipe-A-crc-primary-rotation-180
igt@kms_ccs@pipe-B-crc-primary-basic
igt@kms_ccs@pipe-B-crc-primary-rotation-180
igt@kms_ccs@pipe-C-crc-primary-basic
igt@kms_ccs@pipe-C-crc-primary-rotation-180
igt@kms_ccs@pipe-D-crc-primary-basic
igt@kms_ccs@pipe-D-crc-primary-rotation-180
igt@kms_ccs@pipe-E-crc-primary-basic
igt@kms_ccs@pipe-E-crc-primary-rotation-180
igt@kms_ccs@pipe-F-crc-primary-basic
igt@kms_ccs@pipe-F-crc-primary-rotation-180

Platform configuration:
Comment 1 Armando Antonio 2017-11-30 20:35:27 UTC
Assertion:
(kms_ccs:1543) igt-debugfs-DEBUG: CRC mismatch at index 0: 0x8fbb16d8 != 0x36094c25
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [igt_assert_crc_equal+0x5d]
  #2 [test_output.constprop.4+0xfc]
  #3 [__real_main468+0x20a]
  #4 [main+0x23]
  #5 [__libc_start_main+0xf1]
  #6 [_start+0x29]
  #7 [<unknown>+0x29]
Subtest pipe-A-crc-primary-basic: FAIL (1.280s)


======================================
             Software
======================================
kernel version              : 4.15.0-rc1-drm-intel-qa-ww48-commit-6d6c48b+
hostname                    : CNL-1
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 108.1
bios release date           : 10/12/2017
ksc                         : 1.32
hardware acceleration       : disabled
swap partition              : enabled on (/dev/nvme0n1p3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.88
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.20-169-gac6739b
intel-gpu-tools (commit)    : ac6739b

======================================
             Hardware
======================================
motherboard model          : CannonLakeClientPlatform
motherboard id             : CannonLakeYLPDDR4RVP
form factor                : Laptop
manufacturer               : IntelCorporation
cpu family                 : Other
cpu family id              : 6
cpu information            : Genuine Intel(R) CPU 0000 @ 1.00GHz
gpu card                   : Intel Corporation Device 5a49 (rev 03) (prog-if 00 [VGA controller])
memory ram                 : 7.61 GB
max memory ram             : 8 GB
cpu thread                 : 4
cpu core                   : 2
cpu model                  : 102
cpu stepping               : 2
socket                     : Other
current cd clock frequency : 168000 kHz
maximum cd clock frequency : 528000 kHz
displays connected         : eDP-1

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.6
guc fw loaded             : fetch NONE, load NONE
guc version wanted        : wanted 0.0, found 0.0
guc version found         : wanted 0.0, found 0.0

======================================
             kernel parameters
======================================
quiet drm.debug=0x1e pci=pcie_bus_safe intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic i915.alpha_support=1 resume=/dev/nvme0n1p3 fastboot
Comment 2 Armando Antonio 2017-11-30 20:35:46 UTC
Created attachment 135837 [details]
dmesg log
Comment 3 Armando Antonio 2017-11-30 20:36:09 UTC
Created attachment 135838 [details]
test output
Comment 4 Hector Velazquez 2017-12-13 21:43:37 UTC
This tests continue failing on CNL QA

igt@kms_ccs@pipe-B-crc-primary-basic
igt@kms_ccs@pipe-C-crc-primary-basic
igt@kms_ccs@pipe-C-crc-primary-rotation-180

using IGT-Version: 1.20-g7440741 (x86_64) (Linux: 4.15.0-rc3-drm-tip-ww50-commit-62d9383+ x86_64)
intel-gpu-tools commit: 74407418720ff7a9de7caabec05d4c3afe9a5c51

(kms_ccs:2027) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:356:
(kms_ccs:2027) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-A-crc-primary-basic failed.
Comment 5 Ricardo Perez 2018-01-31 08:10:27 UTC
For CFL S UDIMM RVP QA system, the following test is still failing:

igt@kms_ccs@pipe-A-crc-sprite-planes-basic

Running:
IGT-Version: 1.21-g37bd27f (x86_64) (Linux: 4.15.0-drm-intel-qa-ww5-commit-5f9f363+ x86_64)

(kms_ccs:19717) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:356:
(kms_ccs:19717) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-A-crc-sprite-planes-basic failed.
**** DEBUG ****
(kms_ccs:19717) igt-kms-DEBUG: Test requirement passed: !(pipe >= igt_display_get_n_pipes(display))
(kms_ccs:19717) igt-kms-DEBUG: Test requirement passed: !(pipe >= igt_display_get_n_pipes(display))
(kms_ccs:19717) igt-kms-DEBUG: display: eDP-1: set_pipe(A)
(kms_ccs:19717) igt-kms-DEBUG: display: eDP-1: Selecting pipe A
(kms_ccs:19717) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(kms_ccs:19717) igt-kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_ccs:19717) DEBUG: Test requirement passed: !(ret == false)
(kms_ccs:19717) DEBUG: Test requirement passed: !(blob_id == 0)
(kms_ccs:19717) DEBUG: Test requirement passed: !(fmt_idx == -1)
(kms_ccs:19717) DEBUG: Test requirement passed: !(ret == false)
(kms_ccs:19717) DEBUG: Test requirement passed: !(blob_id == 0)
(kms_ccs:19717) DEBUG: Test requirement passed: !(fmt_idx == -1)
(kms_ccs:19717) igt-kms-DEBUG: display: A.0: plane_set_position(0,0)
(kms_ccs:19717) igt-kms-DEBUG: display: A.0: plane_set_size (1920x1080)
(kms_ccs:19717) igt-kms-DEBUG: display: A.0: plane_set_fb(81)
(kms_ccs:19717) igt-kms-DEBUG: display: A.0: plane_set_size (1920x1080)
(kms_ccs:19717) igt-kms-DEBUG: display: A.0: fb_set_position(0,0)
(kms_ccs:19717) igt-kms-DEBUG: display: A.0: fb_set_size(1920x1080)
(kms_ccs:19717) igt-kms-DEBUG: display: A.1: plane_set_position(0,0)
(kms_ccs:19717) igt-kms-DEBUG: display: A.1: plane_set_size (256x256)
(kms_ccs:19717) igt-kms-DEBUG: display: A.1: plane_set_fb(106)
(kms_ccs:19717) igt-kms-DEBUG: display: A.1: plane_set_size (256x256)
(kms_ccs:19717) igt-kms-DEBUG: display: A.1: fb_set_position(0,0)
(kms_ccs:19717) igt-kms-DEBUG: display: A.1: fb_set_size(256x256)
(kms_ccs:19717) igt-kms-DEBUG: display: commit {
(kms_ccs:19717) igt-kms-DEBUG: Pipe A: Setting property "MODE_ID" to 0x50/80
(kms_ccs:19717) igt-kms-DEBUG: Pipe A: Setting property "ACTIVE" to 0x1/1
(kms_ccs:19717) igt-kms-DEBUG: display:     populating plane data: A.0, fb 81
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "SRC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "SRC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "SRC_W" to 0x7800000/125829120
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "SRC_H" to 0x4380000/70778880
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "CRTC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "CRTC_W" to 0x780/1920
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "CRTC_H" to 0x438/1080
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "FB_ID" to 0x51/81
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "CRTC_ID" to 0x25/37
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "rotation" to 0x1/1
(kms_ccs:19717) igt-kms-DEBUG: display:     populating plane data: A.1, fb 106
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "SRC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "SRC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "SRC_W" to 0x1000000/16777216
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "SRC_H" to 0x1000000/16777216
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "CRTC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "CRTC_W" to 0x100/256
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "CRTC_H" to 0x100/256
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "FB_ID" to 0x6a/106
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "CRTC_ID" to 0x25/37
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "rotation" to 0x1/1
(kms_ccs:19717) igt-kms-DEBUG: display:     populating plane data: A.2, fb 0
(kms_ccs:19717) igt-kms-DEBUG: plane A.2: Setting property "SRC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.2: Setting property "SRC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.2: Setting property "SRC_W" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.2: Setting property "SRC_H" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.2: Setting property "CRTC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.2: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.2: Setting property "CRTC_W" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.2: Setting property "CRTC_H" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.2: Setting property "FB_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.2: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.2: Setting property "rotation" to 0x1/1
(kms_ccs:19717) igt-kms-DEBUG: Pipe B: Setting property "MODE_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: Pipe B: Setting property "ACTIVE" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: display:     populating plane data: B.0, fb 0
(kms_ccs:19717) igt-kms-DEBUG: plane B.0: Setting property "SRC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.0: Setting property "SRC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.0: Setting property "SRC_W" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.0: Setting property "SRC_H" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.0: Setting property "CRTC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.0: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.0: Setting property "CRTC_W" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.0: Setting property "CRTC_H" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.0: Setting property "FB_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.0: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.0: Setting property "rotation" to 0x1/1
(kms_ccs:19717) igt-kms-DEBUG: display:     populating plane data: B.1, fb 0
(kms_ccs:19717) igt-kms-DEBUG: plane B.1: Setting property "SRC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.1: Setting property "SRC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.1: Setting property "SRC_W" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.1: Setting property "SRC_H" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.1: Setting property "CRTC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.1: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.1: Setting property "CRTC_W" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.1: Setting property "CRTC_H" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.1: Setting property "FB_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.1: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.1: Setting property "rotation" to 0x1/1
(kms_ccs:19717) igt-kms-DEBUG: display:     populating plane data: B.2, fb 0
(kms_ccs:19717) igt-kms-DEBUG: plane B.2: Setting property "SRC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.2: Setting property "SRC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.2: Setting property "SRC_W" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.2: Setting property "SRC_H" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.2: Setting property "CRTC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.2: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.2: Setting property "CRTC_W" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.2: Setting property "CRTC_H" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.2: Setting property "FB_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.2: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane B.2: Setting property "rotation" to 0x1/1
(kms_ccs:19717) igt-kms-DEBUG: display:     eDP-1: preparing atomic, pipe: A
(kms_ccs:19717) igt-kms-DEBUG: eDP-1: Setting property "CRTC_ID" to 0x25/37
(kms_ccs:19717) igt-kms-DEBUG: eDP-1: Setting property "Broadcast RGB" to 0x1/1
(kms_ccs:19717) igt-kms-DEBUG: display:     DP-1: preparing atomic, pipe: A
(kms_ccs:19717) igt-kms-DEBUG: DP-1: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: DP-1: Setting property "Broadcast RGB" to 0x1/1
(kms_ccs:19717) igt-kms-DEBUG: display:     DP-2: preparing atomic, pipe: A
(kms_ccs:19717) igt-kms-DEBUG: DP-2: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: DP-2: Setting property "Broadcast RGB" to 0x1/1
(kms_ccs:19717) igt-kms-DEBUG: display:     HDMI-A-1: preparing atomic, pipe: A
(kms_ccs:19717) igt-kms-DEBUG: HDMI-A-1: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: HDMI-A-1: Setting property "Broadcast RGB" to 0x1/1
(kms_ccs:19717) igt-kms-DEBUG: display:     DP-3: preparing atomic, pipe: A
(kms_ccs:19717) igt-kms-DEBUG: DP-3: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: DP-3: Setting property "Broadcast RGB" to 0x1/1
(kms_ccs:19717) igt-kms-DEBUG: display:     HDMI-A-2: preparing atomic, pipe: A
(kms_ccs:19717) igt-kms-DEBUG: HDMI-A-2: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: HDMI-A-2: Setting property "Broadcast RGB" to 0x1/1
(kms_ccs:19717) igt-kms-DEBUG: display: }
(kms_ccs:19717) igt-kms-DEBUG: display: A.1: plane_set_position(0,0)
(kms_ccs:19717) igt-kms-DEBUG: display: A.1: plane_set_size (0x0)
(kms_ccs:19717) igt-kms-DEBUG: display: A.1: plane_set_fb(0)
(kms_ccs:19717) igt-kms-DEBUG: display: A.1: plane_set_size (0x0)
(kms_ccs:19717) igt-kms-DEBUG: display: A.1: fb_set_position(0,0)
(kms_ccs:19717) igt-kms-DEBUG: display: A.1: fb_set_size(0x0)
(kms_ccs:19717) igt-kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_ccs:19717) DEBUG: Test requirement passed: !(ret == false)
(kms_ccs:19717) DEBUG: Test requirement passed: !(blob_id == 0)
(kms_ccs:19717) DEBUG: Test requirement passed: !(fmt_idx == -1)
(kms_ccs:19717) igt-kms-DEBUG: display: A.0: plane_set_position(0,0)
(kms_ccs:19717) igt-kms-DEBUG: display: A.0: plane_set_size (1920x1080)
(kms_ccs:19717) igt-kms-DEBUG: display: A.0: plane_set_fb(88)
(kms_ccs:19717) igt-kms-DEBUG: display: A.0: plane_set_size (1920x1080)
(kms_ccs:19717) igt-kms-DEBUG: display: A.0: fb_set_position(0,0)
(kms_ccs:19717) igt-kms-DEBUG: display: A.0: fb_set_size(1920x1080)
(kms_ccs:19717) igt-kms-DEBUG: display: commit {
(kms_ccs:19717) igt-kms-DEBUG: display:     populating plane data: A.0, fb 88
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "SRC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "SRC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "SRC_W" to 0x7800000/125829120
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "SRC_H" to 0x4380000/70778880
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "CRTC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "CRTC_W" to 0x780/1920
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "CRTC_H" to 0x438/1080
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "FB_ID" to 0x58/88
(kms_ccs:19717) igt-kms-DEBUG: plane A.0: Setting property "CRTC_ID" to 0x25/37
(kms_ccs:19717) igt-kms-DEBUG: display:     populating plane data: A.1, fb 0
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "SRC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "SRC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "SRC_W" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "SRC_H" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "CRTC_X" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "CRTC_W" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "CRTC_H" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "FB_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: plane A.1: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:19717) igt-kms-DEBUG: display: }
(kms_ccs:19717) igt-debugfs-DEBUG: CRC mismatch at index 0: 0xd30a1687 != 0xbe15f80
(kms_ccs:19717) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:356:
(kms_ccs:19717) igt-debugfs-CRITICAL: Failed assertion: !mismatch
(kms_ccs:19717) igt-core-INFO: Stack trace:
(kms_ccs:19717) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(kms_ccs:19717) igt-core-INFO:   #1 [igt_assert_crc_equal+0x5d]
(kms_ccs:19717) igt-core-INFO:   #2 [test_output.constprop.4+0x104]
(kms_ccs:19717) igt-core-INFO:   #3 [__real_main511+0x38e]
(kms_ccs:19717) igt-core-INFO:   #4 [main+0x27]
(kms_ccs:19717) igt-core-INFO:   #5 [__libc_start_main+0xf1]
(kms_ccs:19717) igt-core-INFO:   #6 [_start+0x2a]
(kms_ccs:19717) igt-core-INFO:   #7 [<unknown>+0x2a]
****  END  ****
Comment 6 Ricardo Perez 2018-01-31 08:10:54 UTC
Created attachment 137074 [details]
CFL-dmesg-kernel-logs
Comment 7 Hector Velazquez 2018-02-09 21:04:39 UTC
This test was failing on GLK QA 

Tests List:

igt@kms_ccs@pipe-A-crc-sprite-planes-basic
igt@kms_ccs@pipe-B-crc-sprite-planes-basic

IGT-Version: 1.21-g94bd67c (x86_64) (Linux: 4.15.0-drm-tip-ww6-commit-078873d+ x86_64)

======================================
        output sample
======================================
. . .
**** DEBUG ****
(kms_ccs:1397) igt-kms-DEBUG: plane A.3: Setting property "CRTC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.3: Setting property "CRTC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.3: Setting property "FB_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.3: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.3: Setting property "rotation" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: display:     populating plane data: A.4, fb 0
(kms_ccs:1397) igt-kms-DEBUG: plane A.4: Setting property "SRC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.4: Setting property "SRC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.4: Setting property "SRC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.4: Setting property "SRC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.4: Setting property "CRTC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.4: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.4: Setting property "CRTC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.4: Setting property "CRTC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.4: Setting property "FB_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.4: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.4: Setting property "rotation" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: Pipe B: Setting property "MODE_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: Pipe B: Setting property "ACTIVE" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: display:     populating plane data: B.0, fb 0
(kms_ccs:1397) igt-kms-DEBUG: plane B.0: Setting property "SRC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.0: Setting property "SRC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.0: Setting property "SRC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.0: Setting property "SRC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.0: Setting property "CRTC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.0: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.0: Setting property "CRTC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.0: Setting property "CRTC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.0: Setting property "FB_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.0: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.0: Setting property "rotation" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: display:     populating plane data: B.1, fb 0
(kms_ccs:1397) igt-kms-DEBUG: plane B.1: Setting property "SRC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.1: Setting property "SRC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.1: Setting property "SRC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.1: Setting property "SRC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.1: Setting property "CRTC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.1: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.1: Setting property "CRTC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.1: Setting property "CRTC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.1: Setting property "FB_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.1: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.1: Setting property "rotation" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: display:     populating plane data: B.2, fb 0
(kms_ccs:1397) igt-kms-DEBUG: plane B.2: Setting property "SRC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.2: Setting property "SRC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.2: Setting property "SRC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.2: Setting property "SRC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.2: Setting property "CRTC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.2: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.2: Setting property "CRTC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.2: Setting property "CRTC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.2: Setting property "FB_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.2: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.2: Setting property "rotation" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: display:     populating plane data: B.3, fb 0
(kms_ccs:1397) igt-kms-DEBUG: plane B.3: Setting property "SRC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.3: Setting property "SRC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.3: Setting property "SRC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.3: Setting property "SRC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.3: Setting property "CRTC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.3: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.3: Setting property "CRTC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.3: Setting property "CRTC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.3: Setting property "FB_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.3: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.3: Setting property "rotation" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: display:     populating plane data: B.4, fb 0
(kms_ccs:1397) igt-kms-DEBUG: plane B.4: Setting property "SRC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.4: Setting property "SRC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.4: Setting property "SRC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.4: Setting property "SRC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.4: Setting property "CRTC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.4: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.4: Setting property "CRTC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.4: Setting property "CRTC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.4: Setting property "FB_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.4: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane B.4: Setting property "rotation" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: Pipe C: Setting property "MODE_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: Pipe C: Setting property "ACTIVE" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: display:     populating plane data: C.0, fb 0
(kms_ccs:1397) igt-kms-DEBUG: plane C.0: Setting property "SRC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.0: Setting property "SRC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.0: Setting property "SRC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.0: Setting property "SRC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.0: Setting property "CRTC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.0: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.0: Setting property "CRTC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.0: Setting property "CRTC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.0: Setting property "FB_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.0: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.0: Setting property "rotation" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: display:     populating plane data: C.1, fb 0
(kms_ccs:1397) igt-kms-DEBUG: plane C.1: Setting property "SRC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.1: Setting property "SRC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.1: Setting property "SRC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.1: Setting property "SRC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.1: Setting property "CRTC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.1: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.1: Setting property "CRTC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.1: Setting property "CRTC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.1: Setting property "FB_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.1: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.1: Setting property "rotation" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: display:     populating plane data: C.2, fb 0
(kms_ccs:1397) igt-kms-DEBUG: plane C.2: Setting property "SRC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.2: Setting property "SRC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.2: Setting property "SRC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.2: Setting property "SRC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.2: Setting property "CRTC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.2: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.2: Setting property "CRTC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.2: Setting property "CRTC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.2: Setting property "FB_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.2: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.2: Setting property "rotation" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: display:     populating plane data: C.3, fb 0
(kms_ccs:1397) igt-kms-DEBUG: plane C.3: Setting property "SRC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.3: Setting property "SRC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.3: Setting property "SRC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.3: Setting property "SRC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.3: Setting property "CRTC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.3: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.3: Setting property "CRTC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.3: Setting property "CRTC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.3: Setting property "FB_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.3: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.3: Setting property "rotation" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: display:     populating plane data: C.4, fb 0
(kms_ccs:1397) igt-kms-DEBUG: plane C.4: Setting property "SRC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.4: Setting property "SRC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.4: Setting property "SRC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.4: Setting property "SRC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.4: Setting property "CRTC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.4: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.4: Setting property "CRTC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.4: Setting property "CRTC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.4: Setting property "FB_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.4: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane C.4: Setting property "rotation" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: display:     eDP-1: preparing atomic, pipe: A
(kms_ccs:1397) igt-kms-DEBUG: eDP-1: Setting property "CRTC_ID" to 0x2b/43
(kms_ccs:1397) igt-kms-DEBUG: eDP-1: Setting property "Broadcast RGB" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: display:     DP-1: preparing atomic, pipe: A
(kms_ccs:1397) igt-kms-DEBUG: DP-1: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: DP-1: Setting property "Broadcast RGB" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: display:     HDMI-A-1: preparing atomic, pipe: A
(kms_ccs:1397) igt-kms-DEBUG: HDMI-A-1: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: HDMI-A-1: Setting property "Broadcast RGB" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: display:     HDMI-A-2: preparing atomic, pipe: A
(kms_ccs:1397) igt-kms-DEBUG: HDMI-A-2: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: HDMI-A-2: Setting property "Broadcast RGB" to 0x1/1
(kms_ccs:1397) igt-kms-DEBUG: display: }
(kms_ccs:1397) igt-kms-DEBUG: display: A.1: plane_set_position(0,0)
(kms_ccs:1397) igt-kms-DEBUG: display: A.1: plane_set_size (0x0)
(kms_ccs:1397) igt-kms-DEBUG: display: A.1: plane_set_fb(0)
(kms_ccs:1397) igt-kms-DEBUG: display: A.1: plane_set_size (0x0)
(kms_ccs:1397) igt-kms-DEBUG: display: A.1: fb_set_position(0,0)
(kms_ccs:1397) igt-kms-DEBUG: display: A.1: fb_set_size(0x0)
(kms_ccs:1397) igt-kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_ccs:1397) DEBUG: Test requirement passed: !(ret == false)
(kms_ccs:1397) DEBUG: Test requirement passed: !(blob_id == 0)
(kms_ccs:1397) DEBUG: Test requirement passed: !(fmt_idx == -1)
(kms_ccs:1397) igt-kms-DEBUG: display: A.0: plane_set_position(0,0)
(kms_ccs:1397) igt-kms-DEBUG: display: A.0: plane_set_size (1920x1080)
(kms_ccs:1397) igt-kms-DEBUG: display: A.0: plane_set_fb(97)
(kms_ccs:1397) igt-kms-DEBUG: display: A.0: plane_set_size (1920x1080)
(kms_ccs:1397) igt-kms-DEBUG: display: A.0: fb_set_position(0,0)
(kms_ccs:1397) igt-kms-DEBUG: display: A.0: fb_set_size(1920x1080)
(kms_ccs:1397) igt-kms-DEBUG: display: commit {
(kms_ccs:1397) igt-kms-DEBUG: display:     populating plane data: A.0, fb 97
(kms_ccs:1397) igt-kms-DEBUG: plane A.0: Setting property "SRC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.0: Setting property "SRC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.0: Setting property "SRC_W" to 0x7800000/125829120
(kms_ccs:1397) igt-kms-DEBUG: plane A.0: Setting property "SRC_H" to 0x4380000/70778880
(kms_ccs:1397) igt-kms-DEBUG: plane A.0: Setting property "CRTC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.0: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.0: Setting property "CRTC_W" to 0x780/1920
(kms_ccs:1397) igt-kms-DEBUG: plane A.0: Setting property "CRTC_H" to 0x438/1080
(kms_ccs:1397) igt-kms-DEBUG: plane A.0: Setting property "FB_ID" to 0x61/97
(kms_ccs:1397) igt-kms-DEBUG: plane A.0: Setting property "CRTC_ID" to 0x2b/43
(kms_ccs:1397) igt-kms-DEBUG: display:     populating plane data: A.1, fb 0
(kms_ccs:1397) igt-kms-DEBUG: plane A.1: Setting property "SRC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.1: Setting property "SRC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.1: Setting property "SRC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.1: Setting property "SRC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.1: Setting property "CRTC_X" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.1: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.1: Setting property "CRTC_W" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.1: Setting property "CRTC_H" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.1: Setting property "FB_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: plane A.1: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:1397) igt-kms-DEBUG: display: }
(kms_ccs:1397) igt-debugfs-DEBUG: CRC mismatch at index 0: 0xdc0b9e57 != 0xd4b53645
(kms_ccs:1397) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:356:
(kms_ccs:1397) igt-debugfs-CRITICAL: Failed assertion: !mismatch
(kms_ccs:1397) igt-core-INFO: Stack trace:
(kms_ccs:1397) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(kms_ccs:1397) igt-core-INFO:   #1 [igt_assert_crc_equal+0x5d]
(kms_ccs:1397) igt-core-INFO:   #2 [test_output.constprop.4+0xfc]
(kms_ccs:1397) igt-core-INFO:   #3 [__real_main511+0x340]
(kms_ccs:1397) igt-core-INFO:   #4 [main+0x23]
(kms_ccs:1397) igt-core-INFO:   #5 [__libc_start_main+0xf0]
(kms_ccs:1397) igt-core-INFO:   #6 [_start+0x29]
(kms_ccs:1397) igt-core-INFO:   #7 [<unknown>+0x29]
****  END  ****
. . .
Comment 8 Octavio 2018-02-12 21:51:20 UTC
These test fail on CFL QA 

igt@kms_ccs@pipe-a-crc-sprite-planes-basic
igt@kms_ccs@pipe-b-crc-sprite-planes-basic

using IGT-Version: 1.21-g37bd27f (x86_64) (Linux: 4.16.0-rc1-drm-intel-qa-ww7-commit-28dc2a5+ x86_64)

(kms_ccs:2412) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:356:
(kms_ccs:2412) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-A-crc-sprite-planes-basic failed.
Comment 9 Hector Velazquez 2018-02-14 18:39:38 UTC
This tests continue failing on GLK QA 

Tests List:

igt@kms_ccs@pipe-A-crc-sprite-planes-basic
igt@kms_ccs@pipe-B-crc-sprite-planes-basic

IGT-Version: 1.21-g37bd27f (x86_64) (Linux: 4.16.0-rc1-drm-intel-qa-ww7-commit-28dc2a5+ x86_64)

No new behavior.
Comment 10 Hector Velazquez 2018-02-28 22:07:43 UTC
This tests has pass successfully on CFL/GLK QA 
Tests List:
igt@kms_ccs@pipe-A-crc-primary-basic
igt@kms_ccs@pipe-A-crc-primary-rotation-180
igt@kms_ccs@pipe-B-crc-primary-basic
igt@kms_ccs@pipe-B-crc-primary-rotation-180
igt@kms_ccs@pipe-A-crc-sprite-planes-basic
igt@kms_ccs@pipe-B-crc-sprite-planes-basic

This tests has skipped on CFL/GLK/CNL QA 
Tests List:
igt@kms_ccs@pipe-C-crc-primary-rotation-180 <- only CFL/GLK
igt@kms_ccs@pipe-D-crc-primary-basic
igt@kms_ccs@pipe-D-crc-primary-rotation-180
igt@kms_ccs@pipe-E-crc-primary-basic
igt@kms_ccs@pipe-E-crc-primary-rotation-180
igt@kms_ccs@pipe-F-crc-primary-basic
igt@kms_ccs@pipe-F-crc-primary-rotation-180

This tests continue failing on CNL QA 
Tests List:
igt@kms_ccs@pipe-A-crc-primary-basic
igt@kms_ccs@pipe-A-crc-primary-rotation-180
igt@kms_ccs@pipe-B-crc-primary-basic
igt@kms_ccs@pipe-B-crc-primary-rotation-180
igt@kms_ccs@pipe-C-crc-primary-basic
igt@kms_ccs@pipe-C-crc-primary-rotation-180
igt@kms_ccs@pipe-A-crc-sprite-planes-basic
igt@kms_ccs@pipe-B-crc-sprite-planes-basic

output sample:
(kms_ccs:29860) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:356:
(kms_ccs:29860) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-A-crc-primary-basic failed.
. . .
(kms_ccs:30199) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:356:
(kms_ccs:30199) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-A-crc-sprite-planes-basic failed.
. . .

software:
IGT-Version: 1.21-g2b64cac (x86_64) (Linux: 4.16.0-rc1-drm-intel-qa-ww7-commit-8a1ed24+ x86_64)

(removing CNL/GLK from the platform list, verified as fixed on CFL/GLK)
Comment 11 Rodrigo Vivi 2018-02-28 22:46:54 UTC
I wonder why CI is not running this test in any machine, although on CI bug list I could only see these are bad for KBL only one... Marta?

Did it got really fixed on CFL or it is sporadic seen like on KBL?

If it got fixed any idea what fixed?

If this test is really good everywhere else and only bad on CNL I believe we need to raise the priority here. This CRC missmatch looks bad.
Comment 12 Marta Löfstedt 2018-03-01 06:44:55 UTC
(In reply to Rodrigo Vivi from comment #11)
> I wonder why CI is not running this test in any machine, although on CI bug
> list I could only see these are bad for KBL only one... Marta?
> 
> Did it got really fixed on CFL or it is sporadic seen like on KBL?
> 
> If it got fixed any idea what fixed?
> 
> If this test is really good everywhere else and only bad on CNL I believe we
> need to raise the priority here. This CRC missmatch looks bad.

We only run the fast-beedback.testlist on CFL machine, since we don't have enough machines to form shards for them. We requested more machines but didn't get them. However, we are currently expermineting with running the shards testlist when the fast-feedback/BAT farm is idle. We are planning to be able to run these results though the new version of cibuglog once that is launched.
Comment 13 Rodrigo Vivi 2018-03-01 18:26:10 UTC
Sorry Marta, I was wondering about other machines, but I looked to the issues page instead to all. 

These tests seems ok on apl, kbl, and gkl:
https://intel-gfx-ci.01.org/tree/drm-tip/shards-all.html

So, removing Marta.

But rest of my comments remains:

Did it got really fixed on CFL? If it got fixed any idea what fixed?

I believe we need to raise the priority here. This CRC missmatch looks bad.
Comment 14 Elizabeth 2018-03-02 19:55:02 UTC
Hi, according to our results:

IGT-Version: 1.21-g1fb30f1, Kernel: 4.16.0-rc2 commit-562dc33+ ww8
igt@kms_ccs@pipe-A-crc-sprite-planes-basic, pass
igt@kms_ccs@pipe-B-crc-sprite-planes-basic, pass

IGT-Version: 1.21-g2b64cac, Kernel: 4.16.0-rc1 commit-8a1ed24+ ww7
igt@kms_ccs@pipe-A-crc-sprite-planes-basic, pass
igt@kms_ccs@pipe-B-crc-sprite-planes-basic, pass

IGT-Version: 1.21-g37bd27f, Kernel: 4.15.0 commit-6c10ba2+ ww6
igt@kms_ccs@pipe-A-crc-sprite-planes-basic, fail
igt@kms_ccs@pipe-B-crc-sprite-planes-basic, fail
Comment 15 Elizabeth 2018-03-02 19:55:43 UTC
comment 14, with CFL.
Comment 16 Hector Velazquez 2018-03-06 17:12:34 UTC
This tests has failing on CNL QA 
Tests List:
igt@kms_ccs@pipe-A-crc-primary-basic
igt@kms_ccs@pipe-A-crc-primary-rotation-180
igt@kms_ccs@pipe-A-crc-sprite-planes-basic
igt@kms_ccs@pipe-B-crc-primary-basic
igt@kms_ccs@pipe-B-crc-primary-rotation-180
igt@kms_ccs@pipe-B-crc-sprite-planes-basic
igt@kms_ccs@pipe-C-crc-primary-basic
igt@kms_ccs@pipe-C-crc-primary-rotation-180
igt@kms_ccs@pipe-C-crc-sprite-planes-basic

output sample:
. . .
**** DEBUG ****
(kms_ccs:802) igt-kms-DEBUG: plane B.0: Setting property "SRC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.0: Setting property "SRC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.0: Setting property "CRTC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.0: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.0: Setting property "CRTC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.0: Setting property "CRTC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.0: Setting property "FB_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.0: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.0: Setting property "rotation" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display:     populating plane data: B.1, fb 0
(kms_ccs:802) igt-kms-DEBUG: plane B.1: Setting property "SRC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.1: Setting property "SRC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.1: Setting property "SRC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.1: Setting property "SRC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.1: Setting property "CRTC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.1: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.1: Setting property "CRTC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.1: Setting property "CRTC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.1: Setting property "FB_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.1: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.1: Setting property "rotation" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display:     populating plane data: B.2, fb 0
(kms_ccs:802) igt-kms-DEBUG: plane B.2: Setting property "SRC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.2: Setting property "SRC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.2: Setting property "SRC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.2: Setting property "SRC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.2: Setting property "CRTC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.2: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.2: Setting property "CRTC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.2: Setting property "CRTC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.2: Setting property "FB_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.2: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.2: Setting property "rotation" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display:     populating plane data: B.3, fb 0
(kms_ccs:802) igt-kms-DEBUG: plane B.3: Setting property "SRC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.3: Setting property "SRC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.3: Setting property "SRC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.3: Setting property "SRC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.3: Setting property "CRTC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.3: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.3: Setting property "CRTC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.3: Setting property "CRTC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.3: Setting property "FB_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.3: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.3: Setting property "rotation" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display:     populating plane data: B.4, fb 0
(kms_ccs:802) igt-kms-DEBUG: plane B.4: Setting property "SRC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.4: Setting property "SRC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.4: Setting property "SRC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.4: Setting property "SRC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.4: Setting property "CRTC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.4: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.4: Setting property "CRTC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.4: Setting property "CRTC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.4: Setting property "FB_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.4: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane B.4: Setting property "rotation" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: Pipe C: Setting property "MODE_ID" to 0x8e/142
(kms_ccs:802) igt-kms-DEBUG: Pipe C: Setting property "ACTIVE" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display:     populating plane data: C.0, fb 143
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_W" to 0xa000000/167772160
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_H" to 0x5a00000/94371840
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_W" to 0xa00/2560
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_H" to 0x5a0/1440
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "FB_ID" to 0x8f/143
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_ID" to 0x63/99
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "rotation" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display:     populating plane data: C.1, fb 0
(kms_ccs:802) igt-kms-DEBUG: plane C.1: Setting property "SRC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.1: Setting property "SRC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.1: Setting property "SRC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.1: Setting property "SRC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.1: Setting property "CRTC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.1: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.1: Setting property "CRTC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.1: Setting property "CRTC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.1: Setting property "FB_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.1: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.1: Setting property "rotation" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display:     populating plane data: C.2, fb 0
(kms_ccs:802) igt-kms-DEBUG: plane C.2: Setting property "SRC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.2: Setting property "SRC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.2: Setting property "SRC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.2: Setting property "SRC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.2: Setting property "CRTC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.2: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.2: Setting property "CRTC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.2: Setting property "CRTC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.2: Setting property "FB_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.2: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.2: Setting property "rotation" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display:     populating plane data: C.3, fb 0
(kms_ccs:802) igt-kms-DEBUG: plane C.3: Setting property "SRC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.3: Setting property "SRC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.3: Setting property "SRC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.3: Setting property "SRC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.3: Setting property "CRTC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.3: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.3: Setting property "CRTC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.3: Setting property "CRTC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.3: Setting property "FB_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.3: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.3: Setting property "rotation" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display:     populating plane data: C.4, fb 0
(kms_ccs:802) igt-kms-DEBUG: plane C.4: Setting property "SRC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.4: Setting property "SRC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.4: Setting property "SRC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.4: Setting property "SRC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.4: Setting property "CRTC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.4: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.4: Setting property "CRTC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.4: Setting property "CRTC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.4: Setting property "FB_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.4: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.4: Setting property "rotation" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display:     eDP-1: preparing atomic, pipe: C
(kms_ccs:802) igt-kms-DEBUG: eDP-1: Setting property "CRTC_ID" to 0x63/99
(kms_ccs:802) igt-kms-DEBUG: eDP-1: Setting property "Broadcast RGB" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display:     DP-1: preparing atomic, pipe: A
(kms_ccs:802) igt-kms-DEBUG: DP-1: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: DP-1: Setting property "Broadcast RGB" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display:     HDMI-A-1: preparing atomic, pipe: A
(kms_ccs:802) igt-kms-DEBUG: HDMI-A-1: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: HDMI-A-1: Setting property "Broadcast RGB" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display:     DP-2: preparing atomic, pipe: A
(kms_ccs:802) igt-kms-DEBUG: DP-2: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: DP-2: Setting property "Broadcast RGB" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display: }
(kms_ccs:802) igt-kms-DEBUG: display: C.0: plane_set_fb(0)
(kms_ccs:802) igt-kms-DEBUG: display: C.0: plane_set_size (0x0)
(kms_ccs:802) igt-kms-DEBUG: display: C.0: fb_set_position(0,0)
(kms_ccs:802) igt-kms-DEBUG: display: C.0: fb_set_size(0x0)
(kms_ccs:802) igt-kms-DEBUG: display: C.0: plane_set_rotation(0°)
(kms_ccs:802) igt-kms-DEBUG: display: commit {
(kms_ccs:802) igt-kms-DEBUG: display:     populating plane data: C.0, fb 0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "FB_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "rotation" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display: }
(kms_ccs:802) igt-kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_ccs:802) DEBUG: Test requirement passed: !(ret == false)
(kms_ccs:802) DEBUG: Test requirement passed: !(blob_id == 0)
(kms_ccs:802) igt-kms-DEBUG: display: C.0: plane_set_position(0,0)
(kms_ccs:802) igt-kms-DEBUG: display: C.0: plane_set_size (2560x1440)
(kms_ccs:802) igt-kms-DEBUG: display: C.0: plane_set_fb(127)
(kms_ccs:802) igt-kms-DEBUG: display: C.0: plane_set_size (2560x1440)
(kms_ccs:802) igt-kms-DEBUG: display: C.0: fb_set_position(0,0)
(kms_ccs:802) igt-kms-DEBUG: display: C.0: fb_set_size(2560x1440)
(kms_ccs:802) igt-kms-DEBUG: display: commit {
(kms_ccs:802) igt-kms-DEBUG: display:     populating plane data: C.0, fb 127
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_W" to 0xa000000/167772160
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_H" to 0x5a00000/94371840
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_W" to 0xa00/2560
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_H" to 0x5a0/1440
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "FB_ID" to 0x7f/127
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_ID" to 0x63/99
(kms_ccs:802) igt-kms-DEBUG: display: }
(kms_ccs:802) igt-kms-DEBUG: display: C.0: plane_set_fb(0)
(kms_ccs:802) igt-kms-DEBUG: display: C.0: plane_set_size (0x0)
(kms_ccs:802) igt-kms-DEBUG: display: C.0: fb_set_position(0,0)
(kms_ccs:802) igt-kms-DEBUG: display: C.0: fb_set_size(0x0)
(kms_ccs:802) igt-kms-DEBUG: display: C.0: plane_set_rotation(0°)
(kms_ccs:802) igt-kms-DEBUG: display: commit {
(kms_ccs:802) igt-kms-DEBUG: display:     populating plane data: C.0, fb 0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_X" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_Y" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "SRC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_W" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_H" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "FB_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "CRTC_ID" to 0x0/0
(kms_ccs:802) igt-kms-DEBUG: plane C.0: Setting property "rotation" to 0x1/1
(kms_ccs:802) igt-kms-DEBUG: display: }
(kms_ccs:802) igt-debugfs-DEBUG: CRC mismatch at index 0: 0x8fbb16d8 != 0x36094c25
(kms_ccs:802) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:370:
(kms_ccs:802) igt-debugfs-CRITICAL: Failed assertion: !mismatch
(kms_ccs:802) igt-core-INFO: Stack trace:
(kms_ccs:802) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(kms_ccs:802) igt-core-INFO:   #1 [igt_assert_crc_equal+0xa8]
(kms_ccs:802) igt-core-INFO:   #2 [test_output.constprop.4+0x103]
(kms_ccs:802) igt-core-INFO:   #3 [__real_main515+0x2a3]
(kms_ccs:802) igt-core-INFO:   #4 [main+0x23]
(kms_ccs:802) igt-core-INFO:   #5 [__libc_start_main+0xf1]
(kms_ccs:802) igt-core-INFO:   #6 [_start+0x29]
(kms_ccs:802) igt-core-INFO:   #7 [<unknown>+0x29]
****  END  ****
. . .

software:
IGT-Version: 1.21-g68fb759 (x86_64) (Linux: 4.16.0-rc4-drm-intel-qa-ww10-commit-a994c52+ x86_64)
Comment 17 Hector Velazquez 2018-03-07 15:48:57 UTC
This tests has a dmesg-warn on CNL QA 
Tests List:
igt@kms_ccs@pipe-C-crc-sprite-planes-basic
igt@kms_ccs@pipe-C-crc-primary-rotation-180
igt@kms_ccs@pipe-C-crc-primary-basic
igt@kms_ccs@pipe-B-crc-sprite-planes-basic
igt@kms_ccs@pipe-B-crc-primary-rotation-180
igt@kms_ccs@pipe-B-crc-primary-basic
igt@kms_ccs@pipe-A-crc-sprite-planes-basic
igt@kms_ccs@pipe-A-crc-primary-rotation-180
igt@kms_ccs@pipe-A-crc-primary-basic

dmesg-warn sample:
. . .
(kms_ccs:7003) igt-debugfs-DEBUG: CRC mismatch at index 0: 0xe17bfc6a != 0x787c4569
(kms_ccs:7003) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:370:
(kms_ccs:7003) igt-debugfs-CRITICAL: Failed assertion: !mismatch
(kms_ccs:7003) igt-core-INFO: Stack trace:
(kms_ccs:7003) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(kms_ccs:7003) igt-core-INFO:   #1 [igt_assert_crc_equal+0xa8]
(kms_ccs:7003) igt-core-INFO:   #2 [test_output.constprop.4+0x103]
(kms_ccs:7003) igt-core-INFO:   #3 [__real_main515+0x42b]
(kms_ccs:7003) igt-core-INFO:   #4 [main+0x23]
(kms_ccs:7003) igt-core-INFO:   #5 [__libc_start_main+0xf1]
(kms_ccs:7003) igt-core-INFO:   #6 [_start+0x29]
(kms_ccs:7003) igt-core-INFO:   #7 [<unknown>+0x29]
. . .

software:
IGT-Version: 1.21-gbddfb8d (x86_64) (Linux: 4.16.0-rc3-drm-intel-qa-ww9-commit-b2e10fd+ x86_64)
Comment 18 Hector Velazquez 2018-03-23 22:03:56 UTC
This tests has a fail on CNL QA 
Tests List:
igt@kms_ccs@pipe-A-crc-primary-basic
igt@kms_ccs@pipe-A-crc-primary-rotation-180
igt@kms_ccs@pipe-A-crc-sprite-planes-basic
igt@kms_ccs@pipe-B-crc-primary-basic
igt@kms_ccs@pipe-B-crc-primary-rotation-180
igt@kms_ccs@pipe-B-crc-sprite-planes-basic
igt@kms_ccs@pipe-C-crc-primary-basic
igt@kms_ccs@pipe-C-crc-primary-rotation-180
igt@kms_ccs@pipe-C-crc-sprite-planes-basic

software:
IGT-Version: 1.22-gc30e331 (x86_64) (Linux: 4.16.0-rc6-drm-intel-qa-ww12-commit-dff9ece+ x86_64)

Output sample:
(kms_ccs:860) igt-debugfs-DEBUG: CRC mismatch at index 0: 0x8fbb16d8 != 0x36094c25
(kms_ccs:860) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:370:
(kms_ccs:860) igt-debugfs-CRITICAL: Failed assertion: !mismatch
(kms_ccs:860) igt-core-INFO: Stack trace:
(kms_ccs:860) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(kms_ccs:860) igt-core-INFO:   #1 [igt_assert_crc_equal+0xa8]
(kms_ccs:860) igt-core-INFO:   #2 [test_output.constprop.4+0x103]
(kms_ccs:860) igt-core-INFO:   #3 [__real_main515+0x2a3]
(kms_ccs:860) igt-core-INFO:   #4 [main+0x23]
(kms_ccs:860) igt-core-INFO:   #5 [__libc_start_main+0xf1]
(kms_ccs:860) igt-core-INFO:   #6 [_start+0x29]
(kms_ccs:860) igt-core-INFO:   #7 [<unknown>+0x29]
Comment 19 Jani Saarinen 2018-03-29 07:11:04 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 20 Elizabeth 2018-04-09 18:51:15 UTC
(In reply to Hector Velazquez from comment #18)
> This tests has a fail on CNL QA 
> Tests List:
> igt@kms_ccs@pipe-A-crc-primary-basic
> igt@kms_ccs@pipe-A-crc-primary-rotation-180
> igt@kms_ccs@pipe-A-crc-sprite-planes-basic
> igt@kms_ccs@pipe-B-crc-primary-basic
> igt@kms_ccs@pipe-B-crc-primary-rotation-180
> igt@kms_ccs@pipe-B-crc-sprite-planes-basic
> igt@kms_ccs@pipe-C-crc-primary-basic
> igt@kms_ccs@pipe-C-crc-primary-rotation-180
> igt@kms_ccs@pipe-C-crc-sprite-planes-basic
> ...
This is still valid for CNL:

Results for igt@kms_ccs@pipe-A-crc-primary-basic
Result: fail

Out	
IGT-Version: 1.21-ge3a0ed9 (x86_64) (Linux: 4.16.0-rc7-drm-intel-qa-ww14-commit-c46052c+ x86_64)
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [igt_assert_crc_equal+0xa8]
  #2 [test_output.constprop.4+0x103]
  #3 [__real_main515+0x2a3]
  #4 [main+0x23]
  #5 [__libc_start_main+0xf1]
  #6 [_start+0x29]
  #7 [<unknown>+0x29]
Subtest pipe-A-crc-primary-basic: FAIL (0.194s)
Err	
(kms_ccs:8853) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:370:
(kms_ccs:8853) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-A-crc-primary-basic failed.
Comment 21 Matt Roper 2019-08-19 22:32:00 UTC
CNL is no longer in CI, but this appears to be a duplicate of bug 107725 (which is now fixed).

*** This bug has been marked as a duplicate of bug 107725 ***


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.